## node-oauth 0.9.11

=== Makefile ===
#
# Run all tests
#
test:
	@@node_modules/.bin/vows tests/* --spec

.PHONY: test install

## node-oauth 0.9.6

=== debian/changelog ===
node-oauth (0.9.6-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Mon, 09 Apr 2012 20:53:49 +0200

=== debian/control ===
Source: node-oauth
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
Standards-Version: 3.9.3
Homepage: https://github.com/ciaranj/node-oauth
Vcs-Git: git://git.debian.org/pkg-javascript/node-oauth.git
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/node-oauth.git;a=summary

Package: node-oauth
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: OAuth wrapper for Node.js
 node-oauth provides a simple OAuth API for Node.js.
 .
 This API allows users to authenticate against OAuth providers, and thus act
 as an OAuth consumer. It also has support for OAuth Echo, which is used for
 communicating with 3rd party media providers such as TwitPic and yFrog.
 .
 It also provides rudimentary OAuth2 support.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/ciaranj/node-oauth/(\d+.*)\.tar\.gz

## node-oauth 0.9.8

=== debian/changelog ===
node-oauth (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.4 and debhelper level to 9 .
  * Run test for the package.
  * Add myself to uploaders.

  [ Bart Martens <bartm@debian.org> ]
  * Update debian/watch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 23 Mar 2013 20:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.3
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>, David Paleino <dapal@debian.org>
+Build-Depends: debhelper (>= 9), node-vows (>= 0.5)
+Standards-Version: 3.9.4
 Homepage: https://github.com/ciaranj/node-oauth
 Vcs-Git: git://git.debian.org/pkg-javascript/node-oauth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/node-oauth.git;a=summary

## node-oauth 0.9.11

=== debian/changelog ===
node-oauth (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 24 Oct 2014 09:04:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>, David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 9), node-vows (>= 0.5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/ciaranj/node-oauth
 Vcs-Git: git://git.debian.org/pkg-javascript/node-oauth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/node-oauth.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:
	# do nothing

override_dh_auto_test:
	vows tests/* --spec

.PHONY: override_dh_auto_build override_dh_auto_test override_dh_auto_install

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/ciaranj/node-oauth/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 15:21:49 +0000

## node-oauth 0.9.15

=== debian/changelog ===
node-oauth (0.9.15-2) unstable; urgency=medium

  * Team upload
  * Disable another ntework access during test (Closes: #792224)

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Oct 2019 06:57:34 +0200

node-oauth (0.9.15-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Change section to javascript
  * Change priority to optional
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update CVS fields to salsa
  * Fix debian/copyright
  * New upstream version 0.9.15
  * Switch test and install to pkg-js-tools (Closes: #942054)
  * Fix test call (Closes: #792224)
  * Disable tests that tries to access to network (Closes: #830214)

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Oct 2019 21:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: node-oauth
-Section: web
-Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>, David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 9), node-vows (>= 0.5)
-Standards-Version: 3.9.6
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
+           David Paleino <dapal@debian.org>
+Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
+Priority: optional
+Build-Depends:
+ debhelper-compat (= 12)
+ , node-vows
+ , pkg-js-tools (>= 0.9.12~)
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/js-team/node-oauth
+Vcs-Git: https://salsa.debian.org/js-team/node-oauth.git
 Homepage: https://github.com/ciaranj/node-oauth
-Vcs-Git: git://git.debian.org/pkg-javascript/node-oauth.git
-Vcs-Browser: http://git.debian.org/?p=pkg-javascript/node-oauth.git;a=summary
+Rules-Requires-Root: no
 
 Package: node-oauth
 Architecture: all
